# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define svnrev 271

Name:           trac-subscriberlist-plugin
Version:        0.1
Release:        0.1.svn%{svnrev}%{?dist}
Summary:        Displays a list of users notified about Trac ticket changes

Group:          Applications/Internet
License:        BSD
URL:            http://trac-hacks.org/wiki/SubscriberListPlugin
# Source comes from SVN right now: svn co -r %{svnrev} https://svn.mayastudios.de/mtpp/repos/plugins/subscriberlist
#                                  cd subscriberlist/trunk; \
#                                  python setup.py sdist --formats gztar
# The above has to be done on EL5 due to regressions in setuptools
Source0:        SubscriberListPlugin-%{version}-r%{svnrev}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       trac >= 0.11, python-setuptools

%description
This plugin displays a list of all users that will informed about ticket
changes of a certain ticket. Additionally it informs the user about the
current notification settings of Trac (i.e. in which cases the user will be
notified). This way the user knows whether he/she has to add himself/herself
to the CC list or not. This detection depends on whether the user is logged
in, whether has provided a valid email address, and the settings in trac.ini.

%prep
%setup -n SubscriberListPlugin-%{version}-r%{svnrev} -q

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
# skip-build doesn't work on el4
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT


 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
# For noarch packages: sitelib
%{python_sitelib}/*


%changelog
* Tue Aug 11 2009 Tim Niemueller <tim@niemueller.de> - 0.1-1
- Initial revision

